Subject: bug#39392:

From: Rafal Gegala <[email-masked]>
Date: Sun, 2 Feb 2020 16:06:04 +0100

Apologies, after sending the email I realized I was in the directory that
was in one of the partitions being resized.  Though it would make for a
good feature to warn users if they are about to resize partitions that are
currently mounted or in use.

Still get the follow message
raf@raf-desktop:~$ gparted
Unit -.mount does not exist, proceeding anyway.
======================
libparted : 3.2
======================

On Sun, Feb 2, 2020 at 3:52 PM Rafal Gegala <[email-masked]> wrote:

> Hi Team
>
> There appears to be some garbage output or issues when running gparted
> from a command line,  Are the errors below harmless or indicative of a
> deeper issue?
>
> The requested output:
>
> root@raf-desktop:/media/raf/03f89ed2-6a56-4d40-b9be-c9d7cf736084/home#
> parted /dev/disk/by-id/usb-SanDisk_Extreme_4C530001130321123535-0\:0 print
> unit s print unit chs print
> Model: SanDisk Extreme (scsi)
> Disk /dev/sdc: 62.7GB
> Sector size (logical/physical): 512B/512B
> Partition Table: msdos
> Disk Flags:
>
> Number  Start   End     Size    Type      File system     Flags
>  1      1049kB  60.3GB  60.3GB  primary   ext4            boot
>  2      60.3GB  62.7GB  2452MB  extended
>  5      60.3GB  62.4GB  2147MB  logical   linux-swap(v1)
>
> Model: SanDisk Extreme (scsi)
> Disk /dev/sdc: 122552320s
> Sector size (logical/physical): 512B/512B
> Partition Table: msdos
> Disk Flags:
>
> Number  Start       End         Size        Type      File system     Flags
>  1      2048s       117762047s  117760000s  primary   ext4            boot
>  2      117762048s  122550271s  4788224s    extended
>  5      117764096s  121958399s  4194304s    logical   linux-swap(v1)
>
> Model: SanDisk Extreme (scsi)
> Disk /dev/sdc: 7628,134,57
> Sector size (logical/physical): 512B/512B
> BIOS cylinder,head,sector geometry: 7628,255,63.  Each cylinder is 8225kB.
> Partition Table: msdos
> Disk Flags:
>
> Number  Start        End          Type      File system     Flags
>  1      0,32,32      7330,88,53   primary   ext4            boot
>  2      7330,88,54   7628,102,25  extended
>  5      7330,121,23  7591,142,38  logical   linux-swap(v1)
>
> The below errors showed up when attempting to resize a pendive with the
> following steps:
> 1, Shrink the first partition by about 280 MB
> 2. Moving the extended partition up
> 3 Moving up and resizing the swap partition
>
> The goal was to leave some extra space at the end of this pendrive so I
> can copy the contents onto other 64GB pendrives if needed.  The operations
> seem to have completed successfully.
>
> root@raf-desktop:/media/raf/03f89ed2-6a56-4d40-b9be-c9d7cf736084/home#
> gparted
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> Unit -.mount does not exist, proceeding anyway.
> sh: 0: getcwd() failed: Input/output error
> ======================
> libparted : 3.2
> ======================
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
> sh: 0: getcwd() failed: Input/output error
>
> Regards,
>
> Rafal
>
>